# Loki::CheckForNothing< Host > Class Template Reference

`#include <Checker.h>`

List of all members.

## Detailed Description

### template<class Host>
class Loki::CheckForNothing< Host >

Exception Safety Level:
  This exception-checking policy class for ContractChecker does nothing when called. Host classes can use this to show which member functions provide neither the strong nor no-throw exception guarantees. The best guarantee such functions can provide is that nothing gets leaked.

Requirements For Host Class:
  This policy imposes no requirements on a host class.

The documentation for this class was generated from the following file:

- Checker.h